Loading...
Searching...
No Matches
DBFInfo Struct Reference

`#include <shapefil.h>`

Collaboration diagram for DBFInfo:
[legend]

## Data Fields

SAHooks | sHooks
SAFile | fp
int | nRecords
int | nRecordLength
int | nHeaderLength
int | nFields
int * | panFieldOffset
int * | panFieldSize
int * | panFieldDecimals
char * | pachFieldType
char * | pszHeader
int | nCurrentRecord
int | bCurrentRecordModified
char * | pszCurrentRecord
int | nWorkFieldLength
char * | pszWorkField
int | bNoHeader
int | bUpdated
union { |
double dfDoubleField |
int nIntField |
} | fieldValue
int | iLanguageDriver
char * | pszCodePage
int | nUpdateYearSince1900
int | nUpdateMonth
int | nUpdateDay
int | bWriteEndOfFileChar
int | bRequireNextWriteSeek

## Detailed Description

Definition at line 411 of file shapefil.h.

## Field Documentation

## bCurrentRecordModified

int DBFInfo::bCurrentRecordModified

Definition at line 431 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCreateLL(), DBFDeleteField(), DBFMarkRecordDeleted(), DBFOpenLL(), DBFReorderFields(), DBFWriteAttributeDirectly(), and DBFWriteTuple().

## bNoHeader

int DBFInfo::bNoHeader

Definition at line 437 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCloneEmpty(), DBFClose(), DBFCreateLL(), DBFDeleteField(), DBFOpenLL(), DBFReorderFields(), DBFUpdateHeader(), DBFWriteAttributeDirectly(), and DBFWriteTuple().

## bRequireNextWriteSeek

int DBFInfo::bRequireNextWriteSeek

Definition at line 454 of file shapefil.h.

Referenced by DBFCreateLL(), and DBFOpenLL().

## bUpdated

int DBFInfo::bUpdated

Definition at line 438 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCloneEmpty(), DBFClose(), DBFDeleteField(), DBFMarkRecordDeleted(), DBFReorderFields(), DBFWriteAttributeDirectly(), and DBFWriteTuple().

## bWriteEndOfFileChar

int DBFInfo::bWriteEndOfFileChar

Definition at line 452 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCloneEmpty(), DBFDeleteField(), and DBFSetWriteEndOfFileChar().

## dfDoubleField

double DBFInfo::dfDoubleField

Definition at line 441 of file shapefil.h.

## [union]

union { ... } DBFInfo::fieldValue

## fp

SAFile DBFInfo::fp

Definition at line 414 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFClose(), DBFCreateLL(), DBFDeleteField(), DBFOpenLL(), DBFReorderFields(), and DBFUpdateHeader().

## iLanguageDriver

int DBFInfo::iLanguageDriver

Definition at line 445 of file shapefil.h.

Referenced by DBFCreateLL(), and DBFOpenLL().

## nCurrentRecord

int DBFInfo::nCurrentRecord

Definition at line 430 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCreateLL(), DBFDeleteField(), DBFOpenLL(), DBFReorderFields(), DBFWriteAttributeDirectly(), and DBFWriteTuple().

## nFields

int DBFInfo::nFields

Definition at line 422 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCloneEmpty(), DBFCreateLL(), DBFDeleteField(), DBFGetFieldCount(), DBFGetFieldInfo(), DBFOpenLL(), and DBFReorderFields().

## nHeaderLength

int DBFInfo::nHeaderLength

Definition at line 419 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCloneEmpty(), DBFCreateLL(), DBFDeleteField(), DBFOpenLL(), and DBFReorderFields().

## nIntField

int DBFInfo::nIntField

Definition at line 442 of file shapefil.h.

## nRecordLength

int DBFInfo::nRecordLength

Definition at line 418 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCloneEmpty(), DBFCreateLL(), DBFDeleteField(), DBFOpenLL(), DBFReorderFields(), DBFWriteAttributeDirectly(), and DBFWriteTuple().

## nRecords

int DBFInfo::nRecords

Definition at line 416 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCreateLL(), DBFDeleteField(), DBFGetRecordCount(), DBFIsRecordDeleted(), DBFMarkRecordDeleted(), DBFOpenLL(), DBFReorderFields(), DBFUpdateHeader(), DBFWriteAttributeDirectly(), and DBFWriteTuple().

## nUpdateDay

int DBFInfo::nUpdateDay

Definition at line 450 of file shapefil.h.

Referenced by DBFSetLastModifiedDate(), and DBFUpdateHeader().

## nUpdateMonth

int DBFInfo::nUpdateMonth

Definition at line 449 of file shapefil.h.

Referenced by DBFSetLastModifiedDate(), and DBFUpdateHeader().

## nUpdateYearSince1900

int DBFInfo::nUpdateYearSince1900

Definition at line 448 of file shapefil.h.

Referenced by DBFSetLastModifiedDate(), and DBFUpdateHeader().

## nWorkFieldLength

int DBFInfo::nWorkFieldLength

Definition at line 434 of file shapefil.h.

## pachFieldType

char* DBFInfo::pachFieldType

Definition at line 426 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCloneEmpty(), DBFClose(), DBFCreateLL(), DBFDeleteField(), DBFGetFieldInfo(), DBFGetNativeFieldType(), DBFIsAttributeNULL(), DBFOpenLL(), and DBFReorderFields().

## panFieldDecimals

int* DBFInfo::panFieldDecimals

Definition at line 425 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCloneEmpty(), DBFClose(), DBFCreateLL(), DBFDeleteField(), DBFGetFieldInfo(), DBFOpenLL(), and DBFReorderFields().

## panFieldOffset

int* DBFInfo::panFieldOffset

Definition at line 423 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCloneEmpty(), DBFClose(), DBFCreateLL(), DBFDeleteField(), DBFOpenLL(), DBFReorderFields(), and DBFWriteAttributeDirectly().

## panFieldSize

int* DBFInfo::panFieldSize

Definition at line 424 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCloneEmpty(), DBFClose(), DBFCreateLL(), DBFDeleteField(), DBFGetFieldInfo(), DBFIsAttributeNULL(), DBFOpenLL(), DBFReorderFields(), and DBFWriteAttributeDirectly().

## pszCodePage

char* DBFInfo::pszCodePage

Definition at line 446 of file shapefil.h.

Referenced by DBFCloneEmpty(), DBFClose(), DBFCreateLL(), and DBFOpenLL().

## pszCurrentRecord

char* DBFInfo::pszCurrentRecord

Definition at line 432 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFClose(), DBFCreateLL(), DBFDeleteField(), DBFIsRecordDeleted(), DBFMarkRecordDeleted(), DBFOpenLL(), DBFWriteAttributeDirectly(), and DBFWriteTuple().

## pszHeader

char* DBFInfo::pszHeader

Definition at line 428 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCloneEmpty(), DBFClose(), DBFCreateLL(), DBFDeleteField(), DBFGetFieldInfo(), DBFOpenLL(), and DBFReorderFields().

## pszWorkField

char* DBFInfo::pszWorkField

Definition at line 435 of file shapefil.h.

Referenced by DBFClose().

## sHooks

SAHooks DBFInfo::sHooks

Definition at line 412 of file shapefil.h.

Referenced by DBFAddNativeFieldType(), DBFAlterFieldDefn(), DBFCloneEmpty(), DBFClose(), DBFCreateLL(), DBFDeleteField(), DBFOpenLL(), DBFReorderFields(), and DBFUpdateHeader().

The documentation for this struct was generated from the following file:

- shapefil.h